Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dks.src.borderEditor
Class CBorder

    java.lang.Object
      dks.src.borderEditor.CBorder

All Implemented Interfaces:
  Changeable, XMLWritable, java.io.Serializable

    public class CBorder

extends java.lang.Object
implements XMLWritable, java.io.Serializable, Changeable

This class implement a border which can be saved in a XML format
date : 3 sept. 07

Author:
  DarK Sidious
See Also:
  Serialized Form

Constructor Summary
`CBorder(java.awt.Color color, int width)` The Constructor.

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener listener)` Add a ChangeListener which will notify when the object change
`boolean` | `equals(java.lang.Object obj)` Equals.
`java.awt.Color` | `getColor()` Gets the color.
`java.awt.BasicStroke` | `getStroke()` Gets the stroke.
`int` | `getWidth()` Gets the width.
`int` | `hashCode()` Hash code.
`boolean` | `isVisible()` the visibility of the border.
`void` | `removeChangeListener(javax.swing.event.ChangeListener listener)` Remove a ChangeListener
`void` | `setColor(java.awt.Color color)` Sets the color.
`void` | `setVisible(boolean visible)` the visibility of the border.
`void` | `setWidth(int width)` Sets the width.
`java.lang.String` | `toString()`
`void` | `XMLload(org.jdom.Element root)` XMLload.
`void` | `XMLsave(org.jdom.Element root)` XMLsave.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CBorder

    public CBorder(java.awt.Color color,
                   int width)

  The Constructor.

  Parameters:
    `color` - the color of the border
    `width` - the width of the border

Method Detail

### getColor

    public java.awt.Color getColor()

  Gets the color.

  Returns:
    the color of the border

### setColor

    public void setColor(java.awt.Color color)

  Sets the color.

  Parameters:
    `color` - the color of the border

### getWidth

    public int getWidth()

  Gets the width.

  Returns:
    the width of the border

### setWidth

    public void setWidth(int width)

  Sets the width.

  Parameters:
    `width` - the width of the border

### isVisible

    public boolean isVisible()

  the visibility of the border.

  Returns:
    the visibility of the border

### setVisible

    public void setVisible(boolean visible)

  the visibility of the border.

  Parameters:
    `visible` - the visibility of the border

### getStroke

    public java.awt.BasicStroke getStroke()

  Gets the stroke.

  Returns:
    the stroke to use for apply the border to a shape

### XMLload

    public void XMLload(org.jdom.Element root)
                 throws org.jdom.JDOMException

  XMLload.

  Specified by:
    `XMLload` in interface `XMLWritable`
  Parameters:
    `root` - the XML DOM element used to load the properties of the border
  Throws:
    `org.jdom.JDOMException` - the JDOM exception
  See Also:
    `XMLWritable.XMLload(org.jdom.Element)`

### XMLsave

    public void XMLsave(org.jdom.Element root)

  XMLsave.

  Specified by:
    `XMLsave` in interface `XMLWritable`
  Parameters:
    `root` - the XML DOM element used to save the properties of the border
  See Also:
    `XMLWritable.XMLsave(org.jdom.Element)`

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener listener)

  Description copied from interface: `Changeable`
  Add a ChangeListener which will notify when the object change

  Specified by:
    `addChangeListener` in interface `Changeable`
  Parameters:
    `listener` - the ChangeListener to add

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener listener)

  Description copied from interface: `Changeable`
  Remove a ChangeListener

  Specified by:
    `removeChangeListener` in interface `Changeable`
  Parameters:
    `listener` - the ChangeListener to remove

### hashCode

    public int hashCode()

  Hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashcode of the object
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(java.lang.Object obj)

  Equals.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare
  Returns:
    the equality of the object
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD